Bug 268874 - External console processes are not closed
External console processes are not closed
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: execution
Dev
PC Windows 10 x64
: P3 (vote)
: 8.2
Assigned To: ilia
issues@cnd
82patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-11-07 14:01 UTC by cezariusz
Modified: 2016-12-13 19:22 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
Screenshot of dead processes (32.77 KB, image/png)
2016-11-08 08:59 UTC, ilia
Details

Note You need to log in before you can comment on or make changes to this bug.
Description cezariusz 2016-11-07 14:01:04 UTC
Product Version: NetBeans IDE Dev (Build 201611050002)
Java: 1.8.0_112; Java HotSpot(TM) 64-Bit Server VM 25.112-b15
Runtime: Java(TM) SE Runtime Environment 1.8.0_112-b15
System: Windows 10 version 10.0 running on amd64; Cp1250; pl_PL (nb)

1. Create a "C/C++ Application" project
2. In the project options change "Console Type" to "External Terminal"
3. Run the project
4. Note 3 processes has been created: conhost.exe (twice) and cmd.exe
5. In the terminal window you have the prompt "Press [Enter] to close the terminal ..." - do it
6. Note that one of conhost.exe disappeared, but the others are still there
7. Do it several times - you will have a lot of conhost.exe and cmd.exe processes hanging.
8. Close NetBeans and the processes will disappear.
Comment 1 ilia 2016-11-08 08:59:36 UTC
Created attachment 162821 [details]
Screenshot of dead processes
Comment 2 ilia 2016-11-08 08:59:58 UTC
Can confirm this behaviour on Windows 10
Comment 3 ilia 2016-12-06 09:56:19 UTC
Fixed in the internal repo (ba575e43c807).

cezariusz,
The fixed version will be available in Dev build in a couple of days.
http://bits.netbeans.org/download/trunk/nightly/latest/

Thanks for the detailed bug report, it helped me a lot.
Comment 4 Quality Engineering 2016-12-08 02:36:25 UTC
Integrated into 'main-silver', will be available in build *201612080001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/49f6e2aee0a9
User: Ilia Gromov <ilia@netbeans.org>
Log: Fixed #268874 - External console processes are not closed
(transplanted from ba575e43c8075662ca7fb65a69c2f95e0135445b)
Comment 5 soldatov 2016-12-13 19:22:50 UTC
Verified in NetBeans IDE 8.2 (Build 201612122312)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo